org.apache.tinkerpop.gremlin.spark.process.computer

## Class SparkMessenger<M>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.process.computer.SparkMessenger<M>

- All Implemented Interfaces:
    Messenger<M>

      public final class SparkMessenger<M>
      extends Object
      implements Messenger<M>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparkMessenger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<<any>>` | `getOutgoingMessages()`
    `Iterator<M>` | `receiveMessages()` Receive all incoming messages to the currently executing vertex.
    `void` | `sendMessage(MessageScope messageScope, M message)` The currently executing vertex can send a message with provided `MessageScope`.
    `void` | `setVertexAndIncomingMessages(Vertex vertex, Iterable<M> incomingMessages)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparkMessenger

          public SparkMessenger()

  - ### Method Detail

    - #### setVertexAndIncomingMessages

          public void setVertexAndIncomingMessages(Vertex vertex,
                                                   Iterable<M> incomingMessages)

    - #### getOutgoingMessages

          public List<<any>> getOutgoingMessages()

    - #### receiveMessages

          public Iterator<M> receiveMessages()

      Description copied from interface: `Messenger`
      Receive all incoming messages to the currently executing vertex.
      Specified by:
        `receiveMessages` in interface `Messenger<M>`
      Returns:
        the messages for the vertex

    - #### sendMessage

          public void sendMessage(MessageScope messageScope,
                                  M message)

      Description copied from interface: `Messenger`
      The currently executing vertex can send a message with provided `MessageScope`.
      Specified by:
        `sendMessage` in interface `Messenger<M>`
      Parameters:
        `messageScope` - the message scope of the message being sent
        `message` - the message to send

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.